classification
Title: Design and History FAQ entry on Floating Point does not mention short repr.
Type: behavior Stage: resolved
Components: Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: eric.smith, mark.dickinson, r.david.murray, rhettinger
Priority: low Keywords: easy

Created on 2009-12-10 11:55 by r.david.murray, last changed 2013-02-19 08:44 by mark.dickinson. This issue is now closed.

Messages (5)
msg96200 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-12-10 11:55
See
http://docs.python.org/dev/faq/design.html#why-are-floating-point-calculations-so-inaccurate.
 The 3.1 version is the same, so it also needs to be updated.  The entry
links to the tutorial, which has the correct information for 3.1/3.2,
but not for trunk.
msg96290 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-12-12 11:38
Is there anything actually *wrong* with that FAQ section?  I'm not sure 
how mentioning short float repr would address any particular FAQ.  Unless 
that FAQ is "why do 2.6 and 2.7 give different results?".

I agree that the tutorial section for trunk needs updating.

I also notice that the FAQs for py3k need to be looked at closely:  there 
are a lot of print statements in there, and doubtless some other 2.x-isms.
msg96292 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-12-12 14:26
No, you are right, there's nothing actually inaccurate.  It might be
good for it to say, about repr, that it prints the "minimum number of
digits necessary", which is what is different from the old behavior. 
But I agree that it doesn't *have* to change.
msg182358 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-02-19 01:51
I've reviewed these docs again, and I don't see anything left to update (everything in the current 2.7 tutorial appears to be accurate).  I also did a grep on the FAQs, and don't see any prints that are statements, so those must have gotten fixed as part of other issues.
msg182369 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2013-02-19 08:44
Agreed;  I think this did all get updated at one point or another.
History
Date User Action Args
2013-02-19 08:44:25mark.dickinsonsetmessages: + msg182369
2013-02-19 01:51:07r.david.murraysetstatus: open -> closed
resolution: out of date
messages: + msg182358

stage: needs patch -> resolved
2009-12-12 14:26:53r.david.murraysetmessages: + msg96292
2009-12-12 11:38:38mark.dickinsonsetmessages: + msg96290
2009-12-10 11:55:41r.david.murraycreate